
Application: gvSIG desktop - gvSIG bugs #1339
A Warning message appears if click a register after create a link and an union tables
10/30/2012 10:04 AM - Vicent Domenech

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Document table
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2056 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Open gvSIG
New table
Add table aepoint.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/aepoint.dbf.zip)
Add table aepoint_filipinas.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/aepoint_filipinas.dbf.zip)
Add table aepoint_japon.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/aepoint_japon.dbf.zip)
Table, create link
Select the origen table of the link as aepoint.dbf and click Next
Choose AEPOINT# as field to use for link and click Next
Select the table to link as aepoint_japon.dbf and click Next
Choose AEPOINT# as field to use for link and click Finish
Table, create join
Choose a data store as "aepoint_japon.dbf" and click Next
Choose the second data store as "aepoint_filipinas.dbf and click Next
Choose as key of first table "AEPOINT#", the key of second table "AEPOINT#" and select all attributes to join them. Next and finish.
Now we see the attribute from aepoint_filipinas.dbf in aepoint_japon.dbf

If we click on a record of aepoint.dbf a warning message appears: "Error notifying the observer"

Maybe this bug is related with 1333

History
#1 - 11/08/2012 09:44 AM - Vicent Domenech
- Status changed from New to Closed

This bug runs in gvSIG build 2057

#2 - 11/08/2012 11:17 AM - Vicent Domenech
- Status changed from Closed to New

Before last step ("If we click [...] observer"), save project, open it again and click on a record of aepoint.dbf. Then the warning message appears
#3 - 11/22/2012 10:15 AM - Vicent Domenech
- Status changed from New to Closed

This bug runs in gvSIG build 2058
